Subject: [IPP] Posted PROTOTYPE draft of IPP System Service (19 July 2017)

From: Ira McDonald <[email-masked]>
Date: Wed, 19 Jul 2017 18:04:37 -0400

Hi,

I have just posted the first PROTOTYPE draft of IPP System Service for
review during the IPP WG call this week:

  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.pdf
  - PDF with line numbers and redlines

  http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.docx
  - MS Word source with line numbers and redlines

Summary:  All operations and attributes have now been defined.

Cheers,
- Ira

-------------------------------
Change History:
19 July 2017

- Prototype draft – changes per IPP WG review on 29 June 2017
- global – accepted changes before section 6.2.7 from previous draft
- global – accepted all “xxx-attributes-supported” removals of infix of
“type2”
- global – accepted all “printer-id” and “printer-ids” range changes from
‘1:MAX’ to ‘1:65535’
for compatibility with Printer MIB and discovery protocols
- global – accepted all “requesting-user-vcard” and “system-device-id”
range changes from ‘1023’ to ‘MAX’ to retain explicit range for clarity
- global – added final System Attributes group to responses of all
operations that can change the state of the System as a side-effect (e.g.,
Create-Printer, Pause-All-Printers)
- global – replaced “<none>” in SM object references in tables in section 5
with IPP spec reference (for identical or analogous attribute)
- global – changed “Attrbutes” to “Attributes” in numerous operations
- revised section 5.7 Resource Status Attributes to fix Figure 1 section
reference for  “resource-state”
- revised section 6 IPP Operations to add paragraph about authorized
Operator or Administrator for all operations except Get-Printers and
Get-Printer-Attributes
- revised section 6.1.5 Get-Printers and section 6.1.6
Get-Printer-Attributes to change “authorized Client” to “authorized User”
- revised section 6.2.3 Get-Resources and section 6.2.4
Get-Resource-Attributes to remove note about Client authentication from all
individual operation definitions
- revised section 6.2.7 Set-Resource-Attributes to define the operation
- revised section 6.3.1 Create-Resource-Subscriptions and section 6.3.2
Create-System-Subscriptions to change “authorized Client” to “authorized
Operator or Administrator
- revised section 6.4.4 Get-System-Supported-Values to define the operation
- revised section 6.4.8 Restart-System to define the operation, including
the “restart-get-interval” response attribute analogous to
“notify-get-interval” in [RFC3996].
- revised section 7.1 IPP Operation Attributes and section 13.2 Attribute
Registrations to add “restart-get-interval” for use in Restart-System
response
- revised section 14.1 Normative References to update for Unicode 10
- revised section 16.2.1 Restrict “printer-id” range to 65535 (16-bit) to
include recommendation that implementations that support more than 65535
print queues can use “printer-uuid” and/or partitioning of “printer-id”
number spaces
- TODO – complete section 8 Additional Semantics for Existing Operations
and section 9 Additional Values for Existing Attributes
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Thu, 27 Jul 2017 17:15:01 +0000

Hi Ira,

In the process of updating IPP Presets using IPP System's section 11 and associated references, I noticed that the references to Finishings 2.1 and IPP 3D Printing Extensions need to be fixed since these are now ratified. These will all no doubt get fixed in last call but I thought I'd point them out since they are top of mind.

Thanks for the hard work on IPP System!

Smith

> On Jul 19, 2017, at 4:04 PM, Ira McDonald <[email-masked]> wrote:
> 
> Hi,
> 
>   http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.pdf <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.pdf>
>   http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.docx <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippsystem10-20170719-rev.docx>
> - global – accepted all “xxx-attributes-supported” removals of infix of “type2”
> - global – accepted all “printer-id” and “printer-ids” range changes from ‘1:MAX’ to ‘1:65535’
> - global – accepted all “requesting-user-vcard” and “system-device-id” range changes from ‘1023’ to ‘MAX’ to retain explicit range for clarity
> - global – added final System Attributes group to responses of all operations that can change the state of the System as a side-effect (e.g., Create-Printer, Pause-All-Printers)
> - global – replaced “<none>” in SM object references in tables in section 5 with IPP spec reference (for identical or analogous attribute)
> - revised section 5.7 Resource Status Attributes to fix Figure 1 section reference for  “resource-state”
> - revised section 6 IPP Operations to add paragraph about authorized Operator or Administrator for all operations except Get-Printers and Get-Printer-Attributes
> - revised section 6.1.5 Get-Printers and section 6.1.6 Get-Printer-Attributes to change “authorized Client” to “authorized User”
> - revised section 6.2.3 Get-Resources and section 6.2.4 Get-Resource-Attributes to remove note about Client authentication from all individual operation definitions
> - revised section 6.3.1 Create-Resource-Subscriptions and section 6.3.2 Create-System-Subscriptions to change “authorized Client” to “authorized Operator or Administrator
> - revised section 6.4.8 Restart-System to define the operation, including the “restart-get-interval” response attribute analogous to “notify-get-interval” in [RFC3996].
> - revised section 7.1 IPP Operation Attributes and section 13.2 Attribute Registrations to add “restart-get-interval” for use in Restart-System response
> - revised section 16.2.1 Restrict “printer-id” range to 65535 (16-bit) to include recommendation that implementations that support more than 65535 print queues can use “printer-uuid” and/or partitioning of “printer-id” number spaces
> - TODO – complete section 8 Additional Semantics for Existing Operations and section 9 Additional Values for Existing Attributes
>